aboutsummaryrefslogtreecommitdiffstats
path: root/community/qpage/qpage.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/qpage/qpage.initd')
-rw-r--r--community/qpage/qpage.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/community/qpage/qpage.initd b/community/qpage/qpage.initd
new file mode 100644
index 0000000000..d2c228addc
--- /dev/null
+++ b/community/qpage/qpage.initd
@@ -0,0 +1,25 @@
+#!/sbin/openrc-run
+#
+# Startup for QuickPage
+#
+
+OPTS_ARGS="q10"
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+
+start() {
+ ebegin "Starting QuickPage daemon"
+ start-stop-daemon --start --quiet --pidfile $PIDFILE --exec qpage -- ${OPTS_ARGS} >/dev/null
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping QuickPage daemon"
+
+ pid=`ps -e | grep qpage | awk '{print $1}'`
+ if [ ! -z "$pid" ]; then
+ kill $pid > /dev/null 2>&1
+ fi
+ eend $?
+}
+exit 0